# dw-dropdowndatawindow

Adds supports for \[DropdowndatawindowComponent]

## Implementation  Details

> **Component Selector:** 'wm-dw-dropdowndatawindow'

## Description

In order to load DropDownDataWindow is necessary to have a pointer reference like:

`"p": [ "->DddwData#type#14", "15" ]`

`DddwData` is the way that we identify that the following component `type#14` is going to load datawindow with id `15`

## Class inheritance

DropdowndatawindowComponent extends [ColumnControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/column-control.md).

## Support

### Properties

| Property                  | Get/Set | Notify Changes | Details                                                  |
| ------------------------- | ------- | -------------- | -------------------------------------------------------- |
| allowEditing: boolean     | Yes/No  | Yes            | Defines if dropdowndatawindow value is editable.         |
| dddwlines: number         | Yes/No  | Yes            | Returns DddwLines if is sended from dropdownDataControl. |
| percentwidth: number      | Yes/No  | Yes            | Returns PopUp width.                                     |
| dddwDataColumn: string    | Yes/No  | Yes            | Returns a string with logic value column.                |
| dddwDisplayColumn: string | Yes/No  | Yes            | Returns a string with visual display column.             |
| value: any                | Yes/No  | Yes            | Match correct dddwDisplayColumn and returns it.          |

### Events

| Event | Supported | Parameter | Details |
| ----- | --------- | --------- | ------- |
| None  | None      | None      | None    |

### Functions

| Function             | Supported | Details                                                |
| -------------------- | --------- | ------------------------------------------------------ |
| close                | Yes       | Close dialog window.                                   |
| columnNamePosition   | Yes       | Sets displayPosition with indexOf dddwDisplayColumn.   |
| columnValuePosition  | Yes       | Sets valuePosition with indexOf dddwDataColumn.        |
| dateFormatValidation | Yes       | Date format validations                                |
| onToggle             | Yes       | Use to handle popUp open and close.                    |
| validateData         | Yes       | Validates new data with column type.                   |
| validateIndexOf      | Yes       | Returns IndexOf dddwData.                              |
| validateStringType   | Yes       | Validates if value match with current column type.     |
| validateStringLength | Yes       | Validates if value is not bigger than columnTypeNumber |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/data-manager-componets/dw-dropdowndatawindow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
